extern "C" {
#include <sane/sane.h>
#include <saneopts.h>
#include <sanei.h>
};

#include "Scanner.h"

// list of available scanner devices
static SANE_Device **deviceList;

static SANE_Device **
findDevices()
{
  
SANE_Status
sane_init (SANE_Int * version_code, SANE_Auth_Callback authorize)
{
  *version_code = SANE_VERSION_CODE(SANE_CURRENT_MAJOR,
				    Scanner::getVersionMajor(),
				    Scanner::getVersionMinor());
  
}

void
sane_exit (void)
{
}

SANE_Status
sane_get_devices (const SANE_Device *** device_list,
		  SANE_Bool local_only)
{
}

SANE_Status
sane_open (SANE_String_Const devicename,
	   SANE_Handle * handle)
{
}

void
sane_close (SANE_Handle handle)
{
}

const SANE_Option_Descriptor *
sane_get_option_descriptor (SANE_Handle handle, SANE_Int option)
{
}

SANE_Status
sane_control_option (SANE_Handle handle, SANE_Int option,
		     SANE_Action action, void *value,
		     SANE_Int * info)
{
}

SANE_Status
sane_get_parameters (SANE_Handle handle,
		     SANE_Parameters * params)
{
}

SANE_Status
sane_start (SANE_Handle handle)
{
}

SANE_Status
sane_read (SANE_Handle handle, SANE_Byte * data,
	   SANE_Int max_length, SANE_Int * length)
{
}

void
sane_cancel (SANE_Handle handle)
{
}

SANE_Status
sane_set_io_mode (SANE_Handle handle,
		  SANE_Bool non_blocking)
{
}

SANE_Status
sane_get_select_fd (SANE_Handle handle,
		    SANE_Int * fd)
{
}

SANE_String_Const
sane_strstatus (SANE_Status status)
{
}
